# DataExchange
TKSTEPBase
StepShape

# StepShape_SurfaceModel Class Reference

`#include <StepShape_SurfaceModel.hxx>`

Inheritance diagram for StepShape_SurfaceModel:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_SurfaceModel ()
| Returns a SurfaceModel SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a SurfaceModel Kind Entity that is : 1 -> ShellBasedSurfaceModel 2 -> FaceBasedSurfaceModel 0 else .
Standard_EXPORT Handle_StepShape_ShellBasedSurfaceModel | ShellBasedSurfaceModel () const
| returns Value as a ShellBasedSurfaceModel (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_SurfaceModel::StepShape_SurfaceModel | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepShape_SurfaceModel::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepShape_SurfaceModel::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_SurfaceModel::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_SurfaceModel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepShape_ShellBasedSurfaceModel StepShape_SurfaceModel::ShellBasedSurfaceModel | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepShape_SurfaceModel.hxx